/*
 * Race track generator
 *
 * leto/calodox, 02.2002
 */

#ifndef _FXTRACKGEN_H_
#define _FXTRACKGEN_H_

#include <fx.h>
#include "trackgen.h"

class FXTrackGen : public FXGeneric {
private:
	float zoom;
	float pos[4];
	float rot[4][4];
	int level;
	bool enable;

	TrackGenerator tg;

public:

	FXTrackGen();

	virtual FXGeneric *create() { return new FXTrackGen(); }

	virtual char *getName() { return "Track Generator"; }

	virtual void registerOptions();

	virtual int init();

	virtual int render();

	virtual void finish();
};

void addTriangle(float *v1, float *v2, float *v3, int type);


#endif
