/*
 * just an easy to use spline routine
 *
 * leto/calodox, 02.2002
 *
 */

#ifndef _EZSPLINE_H_
#define _EZSPLINE_H_

#ifdef __cplusplus
extern "C" {
#endif

#define MAX_SPLINE_DIM 10

/*
 * t is the factor between a and b. Must be in [0,1].
 * 0 will return a
 * 1 will return b
 * prev and next might be null.
 *
 * dim is the dimension of the vectors. Must be under the MAX_SPLINE_DIM defined
 * in this file.
 *
 * all float pointers must point to a valid float array of dim elements.
 */
void splineCompute(float t, int dim, float *prev, float *a, float *b, float *next, float *result);

#ifdef __cplusplus
}
#endif

#endif
